#!/usr/bin/bash
set -e

# wait for auxiliary services
poetry run python manage.py await_services

# choose dev vs prod
if [ "${DEBUG:-0}" = "1" ]; then
  exec poetry run gunicorn evibes.wsgi:application \
    --bind 0.0.0.0:8000 \
    --workers 2 \
    --reload \
    --log-level debug \
    --access-logfile - \
    --error-logfile -
else
  exec poetry run gunicorn evibes.wsgi:application \
    --bind 0.0.0.0:8000 \
    --workers 12 \
    --timeout 120
fi
